org.apache.tapestry5.internal.util

## Class TeeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.tapestry5.internal.util.TeeOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class TeeOutputStream
      extends OutputStream

  An output stream that acts like a "tee", copying all provided bytes to two output streams. This is used, for example, to accumulate a hash of content even as it is being written.
  Since:
    5.3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeeOutputStream(OutputStream left, OutputStream right)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeeOutputStream

          public TeeOutputStream(OutputStream left,
                                 OutputStream right)

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.